"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = get;
exports.set = set;
exports.mkdirpSync = mkdirpSync;
const fs_1 = require("fs");
const path_1 = require("path");
function get(obj, path, defaultValue = undefined) {
    const keys = path.split('.');
    let result = obj;
    for (let key of keys) {
        result = result[key];
        if (result === undefined) {
            return defaultValue;
        }
    }
    return result;
}
function set(obj, path, value) {
    const keys = path.split('.');
    let current = obj;
    for (let i = 0; i < keys.length; i++) {
        const key = keys[i];
        if (i === keys.length - 1) {
            current[key] = value;
        }
        else {
            current[key] = current[key] || {};
            current = current[key];
        }
    }
    return obj;
}
function mkdirpSync(dir) {
    if ((0, fs_1.existsSync)(dir)) {
        return;
    }
    mkdirpSync((0, path_1.dirname)(dir));
    (0, fs_1.mkdirSync)(dir);
}
//# sourceMappingURL=utils.js.map